/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.3 $ $Date: 2002/07/09 10:55:30 $      */
/* ------------------------------------------------------------------------ */

#if !defined(AFX_SCANPAGE_H__E5C8E943_9CEE_4E48_A18F_E7C302C46C28__INCLUDED_)
#define AFX_SCANPAGE_H__E5C8E943_9CEE_4E48_A18F_E7C302C46C28__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "options.h"

/**
 * Scan page of the options folder
 */
class CScanPage : public CPropertyPage
{
public:
	/**
	 * Construction
	 */
	CScanPage(CWnd* pParent = NULL );   // standard constructor

	// Dialog Data
	//{{AFX_DATA(CScanPage)
	enum { IDD = IDD_DIALOG_SCAN };
	//}}AFX_DATA


	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScanPage)
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	/**
	 * Sets the status bar for error/info messages
	 */
	void SetStatusBar( CEdit* status );

	/**
	 * Update the widgets according to new options settings.
	 */
	void SetOptions();

	/**
	 * Called when the folder page becomes visible. This is
	 * putting the page into the right place.
	 */
	void SetVisible( CTabCtrl* parent );

	// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CScanPage)
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	afx_msg void OnRadio7();
	afx_msg void OnRadio8();
	afx_msg void OnRadio9();
	afx_msg void OnRadio10();
	afx_msg void OnRadio11();
	afx_msg void OnRadio12();
	afx_msg void OnCheck4();
	afx_msg void OnCheck7();
	afx_msg void OnCheck5();
	afx_msg void OnCheck1();
	afx_msg void OnChangeEdit2();
	afx_msg void OnChangeEdit4();
	afx_msg void OnChangeEdit3();
	afx_msg void OnChangeEdit1();
	afx_msg void OnUpdateEdit5();
	afx_msg void OnChangeEdit5();
	afx_msg void OnCheck2();
	afx_msg void OnCheck3();
	afx_msg void OnChangeEdit9();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	/**
	 * Sets the new options values
	 */
	void BuildCommand();

	/**
	 * Initialization flag
	 */
	bool init;

	/**
	 * Status bar for error/info messages
	 */
	CEdit* m_statusbar;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCANPAGE_H__E5C8E943_9CEE_4E48_A18F_E7C302C46C28__INCLUDED_)
